=== debian/changelog ===
rock-master-20.06-tools-lib-config (0.20200827-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-cpp/lib_config.git
  * branch: refs/heads/master
  * commit: fd481b2719edcfd72c0e771dee4b4f8560d6ca8a
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Tue, 22 Sep 2020 12:15:54 +0200
